%define anolis_release 2
%global srcname breathe

Name:           python-%{srcname}
Version:        4.35.0
Release:        %{anolis_release}%{?dist}
Summary:        Adds support for Doxygen xml output to reStructuredText and Sphinx

License:        BSD
URL:            https://github.com/michaeljones/breathe
Source0:        https://github.com/breathe-doc/breathe/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  doxygen >= 1.8.4
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist docutils} >= 0.12
BuildRequires:  %{py3_dist Jinja2} >= 2.7.3
BuildRequires:  %{py3_dist MarkupSafe} >= 0.23
BuildRequires:  %{py3_dist Pygments} >= 1.6
# NOTE: git is only needed because part of the build process checks if it's in
# a git repo
BuildRequires:  git
BuildRequires:  make
BuildRequires:  gnupg2

# Set the name of the documentation directory

%description 
Breathe is an extension to reStructuredText and Sphinx to be able to read and \
render the Doxygen xml output.

%package -n     python3-%{srcname}
Summary:        %{summary}
Requires:       python3-six
Requires:       doxygen
%{?python_provide:%python_provide python%{python3_pkgversion}-%{srcname}}

%description -n python3-%{srcname}
Breathe is an extension to reStructuredText and Sphinx to be able to read and \
render the Doxygen xml output.

%package -n     python3-%{srcname}-doc
Summary:        Documentation files for %{srcname}
# tinyxml uses zlib license
License:        BSD and zlib
Requires:       python3-%{srcname} = %{version}-%{release}

%description -n python3-%{srcname}-doc
This package contains documentation for developer documentation for %{srcname}.

%prep
%autosetup -n %{srcname}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install

%check
%make_build dev-test

%files -n python3-%{srcname}
%license LICENSE
%{_bindir}/breathe-apidoc
%{python3_sitelib}/*

%files -n python3-%{srcname}-doc
%doc README.rst

%changelog
* Wed Mar 13 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 4.35.0-2
- Rebuild with python3.11

* Tue Mar 21 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.35.0-1
- update version to 4.35.0

* Mon Feb 27 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 4.34.0-2
- optimise dependency

* Tue Oct 11 2022 happy_orange <songnannan@linux.alibaba.com> - 4.34.0-1
- Init package from upstream
